Name: drwright
Version: 0.18
Release: alt6

Summary: A program that reminds you to take wrist breaks
Summary(be_BY.UTF-8):	Праграма, якая нагадвае пра неабходнасьць адпачынку для рук
Summary(ru_RU.UTF-8):	Программа, которая напоминает об необходимости перерыва для рук
Summary(uk_UA.UTF-8):	Програма, що нагадує про необхідність перерви для рук

License: GPL
Group: Graphical desktop/GNOME
Url: http://developer.imendio.com/wiki/DrWright

# Typical environment for GNOME program
Requires(post): GConf2
Requires(post,postun): desktop-file-utils
BuildPreReq: GConf2
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

Source: http://ftp.gnome.org/pub/GNOME/sources/drwright/%version/%name-%version.tar.bz2
Source100: %name.be.po.bz2

# Automatically added by buildreq on Thu Mar 03 2005
BuildRequires: GConf2 ORBit2-devel esound fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libdbus-devel libdbus-glib-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig libXext-devel libXScrnSaver-devel

%description
DrWright is a program that reminds you to take wrist breaks to rest your hands.

%description -l be_BY.UTF-8
DrWright гэта праграма, якая нагадвае пра неабходнасьць перарыву для адпачынку вашых рук.

%description -l uk_UA.UTF-8
DrWright -- це програма, що нагадує про необхідність перерви для відпочинку рук.

description -l ru_RU.UTF-8
DrWright это программа, которая напоминает про необходимость перерыва для отдыха ваших рук.

%prep
%setup -q -n %name-%version

bzcat %SOURCE100 > po/be.po

%build
subst "s|az bg|az bg be|" ./configure
%configure --disable-schemas-install --enable-dbus=no --x-libraries=%_libdir --x-includes=%_includedir
%make_build

%install
%makeinstall

%find_lang %name --with-gnome

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%_sysconfdir/gconf/schemas/*
%_bindir/*
%_desktopdir/*
%_datadir/%name

%changelog
* Tue Apr 19 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 0.18-alt6
- fix build

* Wed Dec 02 2009 Repocop Q. A. Robot <repocop@altlinux.org> 0.18-alt5.qa1
- NMU (by repocop): the following fixes applied:
  * update_menus for drwright
  * obsolete-call-in-post-scrollkeeper-update for drwright
  * postclean-05-filetriggers for spec file

* Sun Dec 24 2006 Vitaly Lipatov <lav@altlinux.ru> 0.18-alt5
- cleanup spec, change packager, remove COPYING, enable SMP build

* Mon May 29 2006 Vitaly Lipatov <lav@altlinux.ru> 0.18-alt4
- build fixes

* Sat Sep 10 2005 Vitaly Lipatov <lav@altlinux.ru> 0.18-alt3
- rebuld without D-BUS

* Thu Feb 10 2005 Vitaly Lipatov <lav@altlinux.ru> 0.18-alt2
- rebuild with GNOME 2.8

* Sun Nov 07 2004 Vitaly Lipatov <lav@altlinux.ru> 0.18-alt1
- new version
- cleanup spec

* Sat Jun 19 2004 Vitaly Lipatov <lav@altlinux.ru> 0.17-alt3
- rebuild with new libgnome
- add russian translation

* Mon Feb 16 2004 Vital Khilko <vk@altlinux.ru> 0.17-alt2
- rebuild with gcc-3.3.3

* Thu Dec 11 2003 Vital Khilko <vk@altlinux.ru> 0.17-alt1
- initial build for ALT Linux Sisyphus
- added belarusian translation
